IPC_INIT(9)

NAME
ipc_init - initialise ipc subsystem

SYNOPSIS

int ipc_init(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

The various sysv ipc resources (semaphores, messages and shared memory) are initialised.

A callback routine is registered into the memory hotplug notifier

CHAIN

since msgmni scales to lowmem this callback routine will be called upon successful memory add / remove to recompute msmgni.

COPYRIGHT